summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/ipkg-build4
-rw-r--r--scripts/scan-pkgs.sh13
-rw-r--r--scripts/scan-tools.sh14
3 files changed, 19 insertions, 12 deletions
diff --git a/scripts/ipkg-build b/scripts/ipkg-build
index 378236b78..ec0e0cdef 100644
--- a/scripts/ipkg-build
+++ b/scripts/ipkg-build
@@ -1,4 +1,4 @@
-#!/bin/sh -x
+#!/usr/bin/env bash
# ipkg-build -- construct a .ipk from a directory
# Carl Worth <cworth@east.isi.edu>
@@ -233,7 +233,7 @@ tmp_dir=$dest_dir/IPKG_BUILD.$$
mkdir $tmp_dir
echo $CONTROL > $tmp_dir/tarX
-( cd $pkg_dir && tar $ogargs -czf $tmp_dir/data.tar.gz . -X $tmp_dir/tarX )
+( cd $pkg_dir && tar $ogargs -X $tmp_dir/tarX -czf $tmp_dir/data.tar.gz . )
( cd $pkg_dir/$CONTROL && tar $ogargs -czf $tmp_dir/control.tar.gz . )
rm $tmp_dir/tarX
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index fe94d8317..894bb3a57 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -18,7 +18,7 @@ test -z "$BASH_VERSION$KSH_VERSION" && exec $BASH $0 "$@"
[[ -n $BASH_VERSION ]] && shopt -s extglob
topdir=$(readlink -nf $(dirname $0)/.. 2>/dev/null || (cd $(dirname $0)/..; pwd -P))
-OStype=$(env NOFAKE=yes uname)
+OStype=$(uname)
out=0
. $topdir/.config
@@ -88,6 +88,10 @@ if [[ -n $ADK_PACKAGE_LIBXFONT ]]; then
NEED_XMLTO="$NEED_XMLTO libXfont"
fi
+if [[ -n $ADK_PACKAGE_EGLIBC ]]; then
+ NEED_GPERF="$NEED_GPERF eglibc"
+fi
+
if [[ -n $NEED_GETTEXT ]]; then
if ! which xgettext >/dev/null 2>&1; then
echo >&2 You need gettext to build $NEED_GETTEXT
@@ -141,6 +145,13 @@ if [[ -n $NEED_BISON ]]; then
fi
fi
+if [[ -n $NEED_GPERF ]]; then
+ if ! which gperf >/dev/null 2>&1; then
+ echo >&2 You need gperf to build $NEED_GPERF
+ out=1
+ fi
+fi
+
if [[ -n $NEED_GXX ]]; then
if ! which g++ >/dev/null 2>&1; then
echo >&2 You need GNU c++ compiler to build $NEED_GXX
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 746901c18..743f316b0 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -5,10 +5,10 @@ shopt -s extglob
topdir=$(pwd)
opath=$PATH
out=0
-if [ -z $(which gmake) ];then
- makecmd=$(which make)
+if [ -z $(which gmake 2>/dev/null ) ];then
+ makecmd=$(which make 2>/dev/null )
else
- makecmd=$(which gmake)
+ makecmd=$(which gmake 2>/dev/null )
fi
if [[ $NO_ERROR != @(0|1) ]]; then
@@ -43,12 +43,8 @@ MirBSD)
# supported with no extra quirks at the moment
;;
CYG*)
- # mkdir /openadk
- # mount -b -s -o managed "C:/openadk" "/openadk"
- # cd /
- # git clone git+ssh://openadk.org/git/openadk.git
- echo "Building OpenADK on $os is needs a managed mount point."
- echo '"mount -b -s -o managed "C:/openadk" "/openadk"'
+ echo "Building OpenADK on $os needs a small registry change."
+ echo 'See http://www.cygwin.com/1.7/cygwin-ug-net/using-specialnames.html'
;;
NetBSD)
echo "Building OpenADK on $os is currently unsupported."